Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 669477

Summary: libtalloc 2.0.5-6 binaries not stripped, empty -debuginfo
Product: [Fedora] Fedora Reporter: Ville Skyttä <ville.skytta>
Component: libtallocAssignee: Simo Sorce <ssorce>
Status: CLOSED CURRENTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: rawhideCC: dpal, gdeschner, sgallagh, ssorce
Target Milestone: ---Keywords: Patch, Regression
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: libtalloc-2.0.5-7.fc15 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2011-09-16 13:28:19 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On:    
Bug Blocks: 496968    
Attachments:
Description Flags
Let rpmbuild strip binaries, make build more verbose. none

Description Ville Skyttä 2011-01-13 18:53:58 UTC
Created attachment 473389 [details]
Let rpmbuild strip binaries, make build more verbose.

libtalloc 2.0.5-6 installs *.so.* as non-executable, which means rpmbuild will not strip them.  Fix attached, along with a change that makes the used CFLAGS visible in the build log.

Comment 3 Stephen Gallagher 2011-01-14 12:54:08 UTC
Thanks for your help with this. I wasn't sure what was causing that to happen.

I will apply this fix to libtdb and libtevent as well, which are also suffering this issue, and I've reported https://bugzilla.samba.org/show_bug.cgi?id=7905 upstream to Samba to fix the build system so it generates the libraries correctly.

Comment 4 Ville Skyttä 2011-01-14 16:51:23 UTC
"Correctly" might be a bit strong word to use when communicating with upstream - unless I'm mistaken, there's no actual need for shared objects to be executable in Linux.  The executability requirement is just a quirk in rpmbuild's debuginfo extractor (and I believe also some other things in rpmbuild that deal with shared objects).